> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.getmeadow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List sub-categories

> Retrieve all of the product sub-categories for the organization.



## OpenAPI

````yaml GET /api/v1/product-sub-categories
openapi: 3.0.1
info:
  title: Meadow Open API
  description: The API to connect to the Meadow platform
  version: 1.0.0
servers:
  - url: https://api-staging.getmeadow.com
  - url: https://api.getmeadow.com
security:
  - meadowConsumer: []
    meadowClient: []
paths:
  /api/v1/product-sub-categories:
    get:
      description: Retrieve all of the product sub-categories for the organization.
      parameters: []
      responses:
        '200':
          description: Product sub-categories response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    description: The ID of the sub-category
                  name:
                    type: string
                    description: The name of the sub-category
              example:
                data:
                  - id: 30034
                    name: Badder
                    createdAt: '2023-12-16T02:52:05.054Z'
                    updatedAt: '2023-12-16T02:52:05.054Z'
                  - id: 30035
                    name: Drink
                    createdAt: '2023-12-16T02:52:05.214Z'
                    updatedAt: '2023-12-16T02:52:05.214Z'
                  - id: 30026
                    name: Happy
                    createdAt: '2023-12-16T02:51:52.741Z'
                    updatedAt: '2023-12-16T02:51:52.741Z'
                  - id: 30022
                    name: Top Shelf
                    createdAt: '2023-12-16T02:51:50.313Z'
                    updatedAt: '2023-12-16T02:51:50.313Z'
        4XX:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  schemas:
    APIError:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: A description of the error code
            code:
              type: string
              example: CODE_OF_ERROR_WILL_BE_HERE
  securitySchemes:
    meadowConsumer:
      type: apiKey
      name: X-Consumer-Key
      description: The key assigned to your company and provided via Meadow
      in: header
    meadowClient:
      type: apiKey
      name: X-Client-Key
      description: The key generated and provided by our mutual client
      in: header

````